* {
    box-sizing: border-box;
}
body {
    margin: 0;
    padding: 0;
    font-family: 'Montserrat', Arial, sans-serif;
    color: black;
    overflow-x: hidden;
    font-size: 16px;
}

header {
    font-family: 'Poppins', Arial, sans-serif;
    font-weight: 600;
}

.navbar-brand img {
    width: 70%;
}

.modal-header button:focus {
    box-shadow: none;
}

header .navbar-nav a:not(.call-to-action){
    padding-left: 0 !important;
    padding-bottom: 0 !important;
    padding-top: 0 !important;
}

.navbar-nav a:not(.active) {
    position: relative;
}

.navbar-nav a:not(.active, .call-to-action)::after {
    content: '';
    position: absolute;
    width: 0px;
    height: 5px;
    left: 0;
    bottom: -5px;
    background-color: #259014;
    transition: 0.3s;
}

.navbar-nav a:not(.active, .call-to-action):hover::after {
    width: 50%;
    transition: 0.3s;
}

.active{
    color: #259014 !important;
}

.form-control:focus {
    border-color: #259014;
    box-shadow: none;
}
  

.btn-primary {
    background-color: #259014;
    border: none;
}

.btn-primary:hover, .btn-primary:active {
    background-color: #259014 !important;
}

[class$='-primary'],
.call-to-action {
    background-color: #259014 !important;
    border: none;
    color: white;
}

.call-to-action {
    position: relative;
    font-family: 'Poppins', Arial, sans-serif;
    font-size: 16px;
    font-weight: 600;
    transition: all 0.3s;
}

header .call-to-action:hover{
    padding-right: 25px;
    transition: all 0.3s;
}

header .call-to-action::after {
    content: ">";
    opacity: 0;
    position: absolute;
    display: inline-block;
    right: 10%;
    transition: 0.3s;
}

header .call-to-action:hover::after{
    opacity: 1;
    right: 0px;
    padding: 0 10px;
    transition: 0.3s;
}

.text-primary {
    color: #259014 !important;
}

main{
    margin-top: 120px;
}

main section::before {
    content: "";
    display: block;
    height: 120px; /* Hauteur de votre header */
    margin-top: -120px; /* Compense la hauteur ajoutée */
}

.carousel-inner {
    height: 600px;
}

.carousel-inner img {
    width: 100%;
    height: auto; /* Maintient les proportions */
    object-fit: cover; /* Gère le contenu de l'image dans la boîte */
  }

.banner {
    height: 600px;
    border-radius: 46px;
    position: relative;
    overflow: hidden; /* Force les images à suivre les coins arrondis */
}

.banner::after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 46px;
    background-color: rgba(0, 0, 0, 0.5); /* Couleur semi-transparente */
    z-index: 1;
    pointer-events: none; /* Permet de ne pas bloquer les interactions */
}

.carousel {
    width: 100%; /* Largeur du conteneur */
    overflow-x: scroll; /* Activation du scroll horizontal */
    scroll-behavior: smooth; /* Défilement fluide */
    scrollbar-width: none; /* Masque la barre de scroll (Firefox) */
}

.carousel::-webkit-scrollbar {
    display: none; /* Masque la barre de scroll (Chrome, Safari) */
}

.items {
    display: flex;
    gap: 10px; /* Espacement entre les éléments */
}

.item {
    height: 100px;
    width: 100px;
    background: lightblue;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
}

.item img {
    width: 100%;
    height: 100%;
}

.on-top {
    width: 50%;
    position: absolute;
    z-index: 2;
}

.banner p {
    text-align: center;
    font-size: 24px;
    font-weight: bold;
    color: white;
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.8); /* Ajoute une ombre au texte */
}

section h1 {
    font-size: 24px;
    font-family: 'Poppins', Arial, sans-serif;
    font-weight: 600;
    position: relative;
    display: inline-block;
}

ul{
    list-style: none;
    padding-left: 0;
}

section h1::after {
    content: '';
    position: absolute;
    width: 0px;
    height: 5px;
    left: 0;
    bottom: -5px;
    background-color: #259014;
}

section .active {
    color: black !important;
}

section .active::after{
    content: '';
    position: absolute;
    width: 30%;
    height: 5px;
    left: 0;
    bottom: -5px;
    background-color: #259014;
    transition: all 1s;
}

a{
    color: inherit;
    text-decoration: none;
}

footer h1{
    font-size: 24px;
    font-family: Poppins, sans-serif;
    font-weight: 600;
}

.copyright{
    background-color: #156508;
}

.copyright p{
    color: rgba(255, 255, 255, 0.75);
}

.copyright a{
    color: white;
}

.reveal-visible-banner {
    opacity: 1;
    transform: translateY(0);
    transition: all 1s ease-in-out;
}

.reveal1-banner {
    opacity: 0;
    transform: translateY(-50px);
}

.tel {
    width: 50%;
}

.reveal2-banner {
    opacity: 0;
    transform: translateY(50px);
}

.reveal-visible-horizontal {
    opacity: 1;
    transform: translateX(0);
    transition: all 1s ease-in-out;
}

.reveal1 {
    opacity: 0;
    transform: translateX(-100px);
}

.reveal2 {
    opacity: 0;
    transform: translateX(100px);
}

.reveal-scale{
    opacity: 0;
    transform: scale(0.5);
}

.reveal-visible-scale{
    opacity: 1;
    transform: scale(1);
    transition: all 1s ease-in-out;
}

.reveal {
    opacity: 0;
    
    transform: translateY(30px);
}
.reveal-visible-vertical {
    opacity: 1;
    transform: translateY(0);
    transition: all 1s ease-in-out;
}

.language{
    position: fixed;
    bottom: 30px;
    left: 30px;
    width: 150px;
    height: 50px;
    cursor: pointer;
    background-color: white;
    padding: 10px;
    border-radius: 2px;
    box-shadow: 0 0 6px rgba(0, 0, 0, .16);
}

.language-1 {
    z-index: 10;
}

.language-2-select {
    opacity: 1;
    transform: translateY(-50px);
    transition: all 1s;
}

.language-2-unselect {
    opacity: 0;
    transform: translateY(0);
    transition: all 1s;
}

.language-2 {
    z-index: 9;
    padding: 10px 30px 10px 10px;
}

.up-to-down {
    animation: chevron-up-to-down .3s ease-in-out forwards;
}

.down-to-up {
    animation: chevron-down-to-up .3s ease-in-out forwards;
}

.card-products {
    border: none;
    width: 225px;
}

.card-body-products {
    padding-left: 0;
}

.card-img-top-products {
    background-color: rgba(0, 0, 0, 0.05);
    padding: 25px;
    width: 225px;
    height: 225px;
    display: flex;
    align-items: center;
}

.left-pineapple .image {
    padding: 25px;
    width: 425px;
    height: 425px;
    background-color: rgba(0, 0, 0, 0.05);
}

.left-pineapple .pictures {
    width: 425px;
}

.left {
    background-color: rgba(0, 0, 0, 0.05);
    padding: 25px;
    width: 425px;
    height: 425px;
    display: flex;
    align-items: center;
    border-radius: 5px;
}

.left-pineapple div {
    display: flex;
    align-items: center;
    border-radius: 5px;
}

.right h5 {
    color: #259014;
}

.right ul{
    list-style: circle;
    padding-left: 30px;
}

.mois, .country {
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    font-size: 12px;
}

.table-responsive {
    overflow-x: auto;
}

table {
    text-align: start;
}

thead th {
    text-align: center;
}

tbody .inactive, tbody .active {
    width: 32px;
    height: 32px;
}

tbody .inactive {
    background-color: #DDDDDD;
    border: 3px solid white;
}

tbody .active {
    background-color: #92D050;
    border: 3px solid white;
}

.mois {
    font-weight: 400;
}

.left img{
    width: 100%;
}

.card-img-top-products img {
    width: 100%;
}

@keyframes chevron-up-to-down {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(180deg);
    }
}

@keyframes chevron-down-to-up {
    0% {
        transform: rotate(180deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

@keyframes zoom-dezoom {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.15);
    }
    100% {
        transform: rotate(1);
    }
}

.banner-contact{
    background-image: url('../images/contact.png');
    background-position: center;
    background-size: cover;
    height: 310px;
}

.zoom {
    animation: zoom-dezoom 1s ease-in-out 1.1s infinite;
}

@media (max-width: 1200px) {
    .banner, .carousel-inner {
        height: 500px;
    }
    .left {
        width: 350px;
        height: 350px;
        padding: 20px;
    }
    .left-pineapple .pictures, .left-pineapple .image {
        width: 350px;
    }
    .left-pineapple .image {
        height: 350px;
    }
    .tel{
        width: 75%;
    }
}

@media (max-width: 992px) {
    .banner, .carousel-inner {
        height: 400px;
    }
    .banner-contact{
        height: 200px;
    }
}

@media (max-width: 768px) {
    .banner, .carousel-inner {
        height: 300px;
    }
    
    .on-top {
        width: 75%;
    }

    .card-title {
        font-size: 16px;
    }
    
    .banner, .banner::after {
        border-radius: 30px;
    }

    .navbar-brand img {
        width: 55%;
    }
    
    main {
        margin-top: 100px;
    }

    .tel{
        width: 50%;
    }
    
    main section::before {
        content: "";
        display: block;
        height: 100px; /* Hauteur de votre header */
        margin-top: -100px; /* Compense la hauteur ajoutée */
    }

    section h1, footer h1 {
        font-size: 20px;
    }

    footer .div-75 {
        width: 100% !important;
    }

    .banner p {
        font-size: 20px;
    }
    .banner-contact{
        height: 150px;
    }
}

@media (max-width: 576px) {
    .banner, .carousel-inner {
        height: 200px;
    }
    
    .on-top {
        width: 100%;
    }

    .navbar-brand img {
        width: 35%;
    }
    
    main {
        margin-top: 75px;
    }
    
    main section::before {
        content: "";
        display: block;
        height: 75px; /* Hauteur de votre header */
        margin-top: -75px; /* Compense la hauteur ajoutée */
    }
    
    .banner, .banner::after {
        border-radius: 20px;
    }

    .card-title {
        font-size: 14px;
    }

    .call-to-action {
        font-size: 12px;
    }

    .banner p {
        font-size: 16px;
    }

    body {
        font-size: 12px;
    }

    section h1, footer h1 {
        font-size: 16px;
    }
}

@media (max-width: 422px) {
    .left {
        width: 100%;
        height: auto;
        padding: 15px;
    }
    
    .left-pineapple .pictures, .left-pineapple .image {
        width: 100%;
    }
    
    .left-pineapple .image {
        height: auto;
    }

    .banner, .carousel-inner {
        height: 150px;
    }
}
